View Issue Details

IDProjectCategoryView StatusLast Update
0000370bareos-coredirectorpublic2015-06-01 16:21
Reporterjbehrend Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSDebianOS Version7
Product Version13.2.3 
Summary0000370: rerun since_jobid=
DescriptionVersion: 13.2.3-33.1

rerun since_jobid=xxx reruns jobs with level=Full although the original job were started with the Level=VirtualFull.

Cheers Jan
Steps To Reproducererun since_jobid=
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-19.2: impact
bareos-19.2: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impactyes
bareos-14.2: actionfixed
bareos-13.2: impactyes
bareos-13.2: actionnone
bareos-12.4: impact
bareos-12.4: actionnone

Relationships

child of 0000447 closedjoergs Release bareos-14.2.5 

Activities

mvwieringen

mvwieringen

2014-12-02 10:03

developer   ~0001088

All VirtualFull Jobs get stored in the database as "real" Full Jobs so
although one would expect something else the rerun just gets the info
from the database and there its stored as a Normal Full backup.

Given the current work pressure this will be analyzed and solved at
a later time.
mvwieringen

mvwieringen

2015-05-01 11:23

developer   ~0001706

Fix committed to bareos master branch with changesetid 5212.
mvwieringen

mvwieringen

2015-05-29 18:06

developer   ~0001757

Fix committed to bareos bareos-14.2 branch with changesetid 5340.

Related Changesets

bareos: master dc93de9b

2015-04-30 15:21:16

pstorz


Committer: mvwieringen

Ported: N/A

Details Diff
Rerun overhaul

- Only allow rerun of Job types that make sense e.g.
- Backup
- Copy
- Migration

- Rerun now also works with virtual full backups.

We need to set the pool to the original sourcepool,
not to the pool that is saved in the job record
as that is the nextpool.

Therefore we get the pool from the job definition
so that the virtual full backup can be rerun

- Only set successful Jobs to L_FULL when running as L_VIRTUAL_FULL
This saves us from doing all kind of black magic along the way.
Set jr.JobLevel to L_FULL only for successful jobs.

Fixes 0000370: rerun since_jobid= runs Virtual Fulls as Fulls.
Affected Issues
0000370
mod - src/cats/sql_update.c Diff File
mod - src/dird/jobq.c Diff File
mod - src/dird/ua_run.c Diff File
mod - src/dird/vbackup.c Diff File
mod - src/include/jcr.h Diff File

bareos: bareos-14.2 34386863

2015-04-30 15:21:16

pstorz


Committer: mvwieringen

Ported: N/A

Details Diff
Rerun overhaul

- Only allow rerun of Job types that make sense e.g.
- Backup
- Copy
- Migration

- Rerun now also works with virtual full backups.

We need to set the pool to the original sourcepool,
not to the pool that is saved in the job record
as that is the nextpool.

Therefore we get the pool from the job definition
so that the virtual full backup can be rerun

- Only set successful Jobs to L_FULL when running as L_VIRTUAL_FULL
This saves us from doing all kind of black magic along the way.
Set jr.JobLevel to L_FULL only for successful jobs.

Fixes 0000370: rerun since_jobid= runs Virtual Fulls as Fulls.
Affected Issues
0000370
mod - src/cats/sql_update.c Diff File
mod - src/dird/jobq.c Diff File
mod - src/dird/ua_run.c Diff File
mod - src/dird/vbackup.c Diff File
mod - src/include/jcr.h Diff File

Issue History

Date Modified Username Field Change
2014-12-01 16:37 jbehrend New Issue
2014-12-02 10:03 mvwieringen Note Added: 0001088
2014-12-02 10:03 mvwieringen Severity major => minor
2014-12-02 10:03 mvwieringen Status new => confirmed
2015-05-01 11:23 mvwieringen Changeset attached => bareos master dc93de9b
2015-05-01 11:23 mvwieringen Note Added: 0001706
2015-05-01 11:23 mvwieringen Status confirmed => resolved
2015-05-01 11:23 mvwieringen Resolution open => fixed
2015-05-27 12:41 joergs Relationship added child of 0000447
2015-05-27 12:42 joergs bareos-master: impact => yes
2015-05-27 12:42 joergs bareos-master: action => fixed
2015-05-27 12:42 joergs bareos-14.2: impact => yes
2015-05-27 12:42 joergs bareos-14.2: action => will care
2015-05-27 12:42 joergs bareos-13.2: impact => yes
2015-05-27 14:12 pstorz bareos-13.2: action => none
2015-05-27 14:12 pstorz bareos-12.4: action => none
2015-05-29 18:06 mvwieringen Changeset attached => bareos bareos-14.2 34386863
2015-05-29 18:06 mvwieringen Note Added: 0001757
2015-06-01 16:21 joergs bareos-14.2: action will care => fixed
2015-06-01 16:21 joergs Status resolved => closed